Package Details: pantheon-calendar-git r2100.d7b9a090-1

Git Clone URL: https://aur.archlinux.org/pantheon-calendar-git.git (read-only)
Package Base: pantheon-calendar-git
Description: The Pantheon Calendar
Upstream URL: https://github.com/elementary/calendar
Licenses: GPL3
Groups: pantheon-unstable
Conflicts: pantheon-calendar
Provides: pantheon-calendar
Submitter: alucryd
Maintainer: alucryd
Last Packager: alucryd
Votes: 21
Popularity: 0.001588
First Submitted: 2017-05-01 15:09
Last Updated: 2019-03-13 08:48

Latest Comments

1 2 3 Next › Last »

alucryd commented on 2018-10-19 09:21

Bumped to the latest version, this one builds fine.

pablo1 commented on 2018-10-18 08:06

The build fails, see error message:

==> Making package: pantheon-calendar 0.4.1-1 (Thu 18 Oct 2018 09:47:21 AM CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading pantheon-calendar-0.4.1.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   126    0   126    0     0    226      0 --:--:-- --:--:-- --:--:--   226
100  461k    0  461k    0     0   287k      0 --:--:--  0:00:01 --:--:-- 1003k
==> Validating source files with sha256sums...
    pantheon-calendar-0.4.1.tar.gz ... Passed
==> Extracting sources...
  -> Extracting pantheon-calendar-0.4.1.tar.gz with bsdtar
==> Starting prepare()...
==> Starting build()...
-- The C compiler identification is GNU 8.2.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.5.3") 
-- Checking for modules 'gobject-2.0;gthread-2.0;glib-2.0;gio-2.0;gee-0.8;gtk+-3.0>=3.11.6;granite>=0.5;libedataserver-1.2;libecal-1.2>=3.8.0;libedataserverui-1.2;libical;gmodule-2.0'
--   Found gobject-2.0, version 2.58.1
--   Found gthread-2.0, version 2.58.1
--   Found glib-2.0, version 2.58.1
--   Found gio-2.0, version 2.58.1
--   Found gee-0.8, version 0.20.1
--   Found gtk+-3.0, version 3.24.1
--   Found granite, version 5.1.0
--   Found libedataserver-1.2, version 3.30.1
--   Found libecal-1.2, version 3.30.1
--   Found libedataserverui-1.2, version 3.30.1
--   Found libical, version 3.0.4
--   Found gmodule-2.0, version 2.58.1
-- Checking for modules 'champlain-gtk-0.12;champlain-0.12;clutter-1.0;geocode-glib-1.0;clutter-gtk-1.0;folks'
--   Found champlain-gtk-0.12, version 0.12.16
--   Found champlain-0.12, version 0.12.16
--   Found clutter-1.0, version 1.26.2
--   Found geocode-glib-1.0, version 3.26.0
--   Found clutter-gtk-1.0, version 1.8.4
--   Found folks, version 0.11.5.20180908
-- Found Vala: /usr/bin/valac  
-- checking for Vala version of 0.23.2
--   found Vala, version 0.42.2
-- libnotify enabled
-- Plugins enabled
-- GSettings schemas will be installed locally.
-- GSettings schemas will be installed into /usr/share/glib-2.0/schemas/
-- Configuring done
-- Generating done
-- Build files have been written to: /tmp/yaourt-tmp-binaryplease/aur-pantheon-calendar/src/build
Scanning dependencies of target i18n
[  0%] Built target i18n
[  1%] Generating /tmp/yaourt-tmp-binaryplease/aur-pantheon-calendar/src/build/core/config.c;Backends/Backend.c;Backends/BackendsManager.c;Backends/LocalBackend.c;Backends/PlacementWidget.c;Model/CalendarModel.c;Settings/MayaSettings.c;Settings/SavedState.c;Settings/LanguagesFormat.c;DateRange.c;Utils.c;GesturesUtils.c;maya-calendar.vapi;maya-calendar.h
/tmp/yaourt-tmp-binaryplease/aur-pantheon-calendar/src/calendar-0.4.1/vapi/posix-extension.vapi:4.2-4.19: error: `Posix' already contains a definition for `NLTime'
    public enum NLTime {
    ^^^^^^^^^^^^^^^^^^
posix.vapi:3356.2-3356.19: note: previous definition of `NLTime' was here
    public enum NLTime {
    ^^^^^^^^^^^^^^^^^^
Compilation failed: 1 error(s), 0 warning(s)
make[2]: *** [core/CMakeFiles/libmaya-calendar.dir/build.make:116: core/libmaya-calendar_valac.stamp] Error 1
make[1]: *** [CMakeFiles/Makefile2:292: core/CMakeFiles/libmaya-calendar.dir/all] Error 2
make: *** [Makefile:130: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build pantheon-calendar.
==> Restart building pantheon-calendar ? [y/N]
==> ------------------------------------------
==> 

Smile4ever commented on 2018-08-01 19:21

[ 1%] Generating /tmp/yaourt-tmp-geoffrey/aur-pantheon-calendar/src/build/core/config.c;Backends/Backend.c;Backends/BackendsManager.c;Backends/LocalBackend.c;Backends/PlacementWidget.c;Model/CalendarModel.c;Settings/MayaSettings.c;Settings/SavedState.c;Settings/LanguagesFormat.c;DateRange.c;Utils.c;GesturesUtils.c;maya-calendar.vapi;maya-calendar.h /tmp/yaourt-tmp-geoffrey/aur-pantheon-calendar/src/calendar-0.4.1/vapi/posix-extension.vapi:4.2-4.19: error: Posix' already contains a definition forNLTime' public enum NLTime { ^^^^^^^^^^^^^^^^^^ posix.vapi:3081.2-3081.19: note: previous definition of `NLTime' was here public enum NLTime { ^^^^^^^^^^^^^^^^^^ Compilation failed: 1 error(s), 0 warning(s) make[2]: [core/CMakeFiles/libmaya-calendar.dir/build.make:116: core/libmaya-calendar_valac.stamp] Fout 1 make[1]: [CMakeFiles/Makefile2:287: core/CMakeFiles/libmaya-calendar.dir/all] Fout 2 make: *** [Makefile:130: all] Fout 2

btd1337 commented on 2018-07-21 00:43

==> Starting prepare()...

sed: no input files

==> ERROR: A failure occurred in prepare().

Aborting...

2018-07-20 21:39:54,652 - wrappers - makepkg - ERROR - makepkg query ['makepkg', '-cf', '--noconfirm'] failed in directory /home/arch/.cache/aurman/pantheon-calen exit:1

rixx commented on 2016-05-27 11:25

Please add a dependency on contractor or contractor-bzr. At the moment, the error mentioned by mareke still happens when you don't have contractor installed:

[_LOG_LEVEL_FATAL 10:18:23.978445] ContractorButtonWithMenu.vala:65: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.elementary.Contractor was not provided by any .service files
[_LOG_LEVEL_FATAL 10:18:23.978516] Maya will not function properly.

alucryd commented on 2015-08-15 11:12

I couldn't tell you, I've been getting a black window for a couple months, and now I'm not even getting anything anymore. I have no idea why that is, you might want to try your luck upstream.

mareke commented on 2015-08-15 09:31

Now no fatal errors but startup loading time is same. Does adding Google calendar working? I got Segmentation fault (core dumped) error.

alucryd commented on 2015-08-15 08:09

My bad, I thought this was a build issue, added dep on contractor-bzr.

mareke commented on 2015-08-15 07:20

Strange. Maya startup takes about minute.
** (maya-calendar:23940): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[_LOG_LEVEL_INFO 10:17:23.309389] Application.vala:155: Maya version: 0.3.1.1
[_LOG_LEVEL_INFO 10:17:23.309497] Application.vala:157: Kernel version: 4.1.4-1-ARCH
[_LOG_LEVEL_WARN 10:18:23.961070] [GLib-GObject] The property GtkAlignment:top-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.
[_LOG_LEVEL_WARN 10:18:23.961331] [GLib-GObject] The property GtkAlignment:right-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.
[_LOG_LEVEL_WARN 10:18:23.961512] [GLib-GObject] The property GtkAlignment:bottom-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.
[_LOG_LEVEL_WARN 10:18:23.961680] [GLib-GObject] The property GtkAlignment:left-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.
[_LOG_LEVEL_FATAL 10:18:23.978445] ContractorButtonWithMenu.vala:65: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.elementary.Contractor was not provided by any .service files
[_LOG_LEVEL_FATAL 10:18:23.978516] Maya will not function properly.

alucryd commented on 2015-08-14 20:14

I don't seem run into this issue. All my packages are built in a clean chroot so there's definitely no contractor package and I can still build maya.